Broken unit tests

2009-11-02 14:50 - Alexey Palazhchenko

Status: Closed Start date: 2009-11-02

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Recently unit tests was broken. :( Output for r2993 from git mirror:

$ git checkout master

$ git reset hard

$ git clean -xdf

(edit database.yml to leave only test environment)

$ rake db:drop:all db:create:all

$ rake db:migrate RAILS_ENV=test

$ rake

/usr/bin/ruby1.8 -I"lib:test" "/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake/rake_test_loader.rb

" "test/functional/users_controller_test.rb" "test/functional/wikis_controller_test.rb" ... "test/

functional/account_controller_test.rb" 

...

Finished in 141.734743 seconds.

482 tests, 1734 assertions, 0 failures, 0 errors

/usr/bin/ruby1.8 -I"lib:test" "/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake/rake_test_loader.rb

" "test/integration/account_test.rb" "test/integration/lib/redmine/menu_manager_test.rb" "test/int

egration/application_test.rb" "test/integration/admin_test.rb" "test/integration/issues_test.rb" "

test/integration/projects_test.rb" 

Loaded suite /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake/rake_test_loader

Started

.....................

Finished in 23.011064 seconds.

21 tests, 142 assertions, 0 failures, 0 errors

Errors running test:units!

 As you can see, unit tests wasn't been run at all.

Associated revisions

Revision 3021 - 2009-11-08 14:15 - Jean-Philippe Lang

Development database required for running rake test (closes #4153).

History

#1 - 2009-11-02 16:18 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Tests run fine with r2993. Please read doc/RUNNING_TESTS.

#2 - 2009-11-06 09:19 - Alexey Palazhchenko

- Status changed from Closed to Reopened
The problem was in this line: "(edit database.yml to leave only test environment)". For some reason unit tests in Rails requires development

environment in config.

Jean-Philippe, may you please update RUNNING_TESTS to make life easier for other deployers?

#3 - 2009-11-06 19:36 - Jean-Philippe Lang

The problem was in this line: "Recently unit tests was broken."

I assumed that you used to pass the tests.

#4 - 2009-11-06 20:30 - Alexey Palazhchenko

I'm sorry. :)

#5 - 2009-11-08 15:17 - Jean-Philippe Lang

- Status changed from Reopened to Closed

- % Done changed from 0 to 100

Applied in changeset r3021.
